/* Description of the mobile:
 *
 * Mobile:          Nokia 9500 (Nokia Series 80)
 * FirmwareVersion: ???
 * SoftwareVersion: 05.22(01)
 * HardwareVersion: ???
 *
 */

#include "obex_mobile.c"

const char *mobile_name = "Nokia 9500";
unsigned int max_msg_size = 65535;
unsigned int max_obj_size = 786432;
SmlBool useTimestamp = TRUE;

const char *source = "PC Suite";
const char *target = "/";

const char *locList[] = {"./Contacts", SML_ELEMENT_TEXT_VCARD,
                         NULL, NULL};

const char *libsyncml_msg_notification = "<?xml version=\"1.0\"?>\n<!DOCTYPE SyncML PUBLIC \"-//SYNCML//DTD SyncML 1.1//EN\" \"http://www.syncml.org/docs/syncml_represent_v11_20020213.dtd\"><SyncML xmlns=\"SYNCML:SYNCML1.1\"><SyncHdr><VerDTD>1.1</VerDTD><VerProto>SyncML/1.1</VerProto><SessionID>13330294508184267516</SessionID><MsgID>1</MsgID><Target><LocURI>/</LocURI></Target><Source><LocURI>PC Suite</LocURI></Source><Meta><MaxMsgSize xmlns=\"syncml:metinf\">65535</MaxMsgSize></Meta></SyncHdr>\n<SyncBody><Alert><CmdID>1</CmdID><Data>206</Data><Item><Source><LocURI>./Contacts</LocURI></Source><Meta><Type xmlns=\"syncml:metinf\">text/x-vcard</Type></Meta></Item>\n</Alert><Final></Final></SyncBody></SyncML>";

const char *mobile_msg_alert = "<?xml version=\"1.0\"?><!DOCTYPE SyncML PUBLIC \"-//SYNCML//DTD SyncML 1.1//EN\" \"http://www.syncml.org/docs/syncml_represent_v11_20020213.dtd\"><SyncML xmlns=\"SYNCML:SYNCML1.1\"><SyncHdr><VerDTD>1.1</VerDTD><VerProto>SyncML/1.1</VerProto><SessionID>210</SessionID><MsgID>1</MsgID><Target><LocURI>PC Suite</LocURI></Target><Source><LocURI>IMEI:123456789012345</LocURI></Source><Meta><MaxMsgSize xmlns=\"syncml:metinf\">10000</MaxMsgSize></Meta></SyncHdr><SyncBody><Status><CmdID>1</CmdID><MsgRef>1</MsgRef><CmdRef>0</CmdRef><Cmd>SyncHdr</Cmd><TargetRef>/</TargetRef><SourceRef>PC Suite</SourceRef><Data>200</Data></Status><Status><CmdID>2</CmdID><MsgRef>1</MsgRef><CmdRef>1</CmdRef><Cmd>Alert</Cmd><SourceRef>./Contacts</SourceRef><Data>200</Data></Status><Alert><CmdID>3</CmdID><Data>200</Data><Item><Target><LocURI>./Contacts</LocURI></Target><Source><LocURI>./C\\System\\Data\\Contacts.cdb</LocURI></Source><Meta><Anchor xmlns=\"syncml:metinf\"><Last>20080721T110623Z</Last><Next>20080721T111000Z</Next></Anchor></Meta></Item></Alert><Final/></SyncBody></SyncML>";

const char *libsyncml_msg_alert = "<?xml version=\"1.0\"?>\n<!DOCTYPE SyncML PUBLIC \"-//SYNCML//DTD SyncML 1.1//EN\" \"http://www.syncml.org/docs/syncml_represent_v11_20020213.dtd\"><SyncML xmlns=\"SYNCML:SYNCML1.1\"><SyncHdr><VerDTD>1.1</VerDTD><VerProto>SyncML/1.1</VerProto><SessionID>210</SessionID><MsgID>2</MsgID><Target><LocURI>IMEI:123456789012345</LocURI></Target><Source><LocURI>PC Suite</LocURI></Source><Meta><MaxMsgSize xmlns=\"syncml:metinf\">10000</MaxMsgSize></Meta></SyncHdr>\n<SyncBody><Status><CmdID>1</CmdID><MsgRef>1</MsgRef><CmdRef>0</CmdRef><Cmd>SyncHdr</Cmd><TargetRef>PC Suite</TargetRef><SourceRef>IMEI:123456789012345</SourceRef><Data>200</Data></Status>\n<Status><CmdID>2</CmdID><MsgRef>1</MsgRef><CmdRef>3</CmdRef><Cmd>Alert</Cmd><TargetRef>./Contacts</TargetRef><SourceRef>./C\\System\\Data\\Contacts.cdb</SourceRef><Data>508</Data><Item><Data><Anchor xmlns=\"syncml:metinf\"><Next xmlns=\"syncml:metinf\">20080721T111000Z</Next></Anchor></Data></Item></Status>\n<Alert><CmdID>3</CmdID><Data>201</Data><Item><Target><LocURI>./C\\System\\Data\\Contacts.cdb</LocURI></Target><Source><LocURI>./Contacts</LocURI></Source><Meta><Anchor xmlns=\"syncml:metinf\"><Next xmlns=\"syncml:metinf\">20080721T111000Z</Next></Anchor></Meta></Item>\n</Alert><Get><CmdID>4</CmdID><Meta><Type xmlns=\"syncml:metinf\">application/vnd.syncml-devinf+xml</Type></Meta><Item><Target><LocURI>./devinf11</LocURI></Target></Item>\n</Get><Final></Final></SyncBody></SyncML>";

const char *mobile_msg_sync = "<?xml version=\"1.0\"?><!DOCTYPE SyncML PUBLIC \"-//SYNCML//DTD SyncML 1.1//EN\" \"http://www.syncml.org/docs/syncml_represent_v11_20020213.dtd\"><SyncML xmlns=\"SYNCML:SYNCML1.1\"><SyncHdr><VerDTD>1.1</VerDTD><VerProto>SyncML/1.1</VerProto><SessionID>210</SessionID><MsgID>2</MsgID><Target><LocURI>PC Suite</LocURI></Target><Source><LocURI>IMEI:123456789012345</LocURI></Source><Meta><MaxMsgSize xmlns=\"syncml:metinf\">10000</MaxMsgSize></Meta></SyncHdr><SyncBody><Status><CmdID>1</CmdID><MsgRef>2</MsgRef><CmdRef>0</CmdRef><Cmd>SyncHdr</Cmd><TargetRef>IMEI:123456789012345</TargetRef><SourceRef>PC Suite</SourceRef><Data>200</Data></Status><Status><CmdID>2</CmdID><MsgRef>2</MsgRef><CmdRef>3</CmdRef><Cmd>Alert</Cmd><TargetRef>./C\\System\\Data\\Contacts.cdb</TargetRef><SourceRef>./Contacts</SourceRef><Data>200</Data><Item><Data><Anchor xmlns=\"syncml:metinf\"><Next>20080721T111000Z</Next></Anchor></Data></Item></Status><Status><CmdID>3</CmdID><MsgRef>2</MsgRef><CmdRef>4</CmdRef><Cmd>Get</Cmd><Data>200</Data></Status><Results><CmdID>4</CmdID><MsgRef>2</MsgRef><CmdRef>4</CmdRef><Meta><Type xmlns=\"syncml:metinf\">application/vnd.syncml-devinf+xml</Type></Meta><Item><Source><LocURI>./devinf11</LocURI></Source><Data><DevInf xmlns=\"syncml:devinf\"><VerDTD>1.1</VerDTD><Man>NOKIA</Man><Mod>9500</Mod><SwV> 05.22(01)</SwV><DevID>IMEI:123456789012345</DevID><DevTyp>phone</DevTyp><UTC/><SupportLargeObjs/><SupportNumberOfChanges/><DataStore><SourceRef>./C\\System\\Data\\Contacts.cdb</SourceRef><MaxGUIDSize>8</MaxGUIDSize><Rx-Pref><CTType>text/x-vcard</CTType><VerCT>2.1</VerCT></Rx-Pref><Rx><CTType>text/vcard</CTType><VerCT>3.0</VerCT></Rx><Tx-Pref><CTType>text/x-vcard</CTType><VerCT>2.1</VerCT></Tx-Pref><SyncCap><SyncType>1</SyncType><SyncType>2</SyncType><SyncType>3</SyncType><SyncType>4</SyncType><SyncType>5</SyncType><SyncType>6</SyncType><SyncType>7</SyncType></SyncCap></DataStore><CTCap><CTType>text/x-vcard</CTType><PropName>BEGIN</PropName><ValEnum>VCARD</ValEnum><PropName>END</PropName><ValEnum>VCARD</ValEnum><PropName>VERSION</PropName><ValEnum>2.1</ValEnum><PropName>REV</PropName><PropName>N</PropName><PropName>ADR</PropName><ParamName>HOME</ParamName><ParamName>WORK</ParamName><PropName>TEL</PropName><ParamName>HOME</ParamName><ParamName>WORK</ParamName><ParamName>CELL</ParamName><ParamName>PAGER</ParamName><ParamName>FAX</ParamName><ParamName>VOICE</ParamName><PropName>FN</PropName><PropName>EMAIL</PropName><ParamName>INTERNET</ParamName><ParamName>HOME</ParamName><ParamName>WORK</ParamName><PropName>URL</PropName><ParamName>HOME</ParamName><ParamName>WORK</ParamName><PropName>NOTE</PropName><PropName>TITLE</PropName><PropName>ORG</PropName><PropName>PHOTO</PropName><PropName>BDAY</PropName><CTType>text/vcard</CTType><PropName>BEGIN</PropName><ValEnum>VCARD</ValEnum><PropName>END</PropName><ValEnum>VCARD</ValEnum><PropName>VERSION</PropName><ValEnum>3.0</ValEnum><PropName>REV</PropName><PropName>N</PropName><PropName>ADR</PropName><ParamName>HOME</ParamName><ParamName>WORK</ParamName><PropName>TEL</PropName><ParamName>HOME</ParamName><ParamName>WORK</ParamName><ParamName>CELL</ParamName><ParamName>PAGER</ParamName><ParamName>FAX</ParamName><ParamName>VOICE</ParamName><PropName>FN</PropName><PropName>EMAIL</PropName><ParamName>INTERNET</ParamName><ParamName>HOME</ParamName><ParamName>WORK</ParamName><PropName>URL</PropName><ParamName>HOME</ParamName><ParamName>WORK</ParamName><PropName>NOTE</PropName><PropName>TITLE</PropName><PropName>ORG</PropName><PropName>PHOTO</PropName><PropName>BDAY</PropName></CTCap></DevInf></Data></Item></Results><Sync><CmdID>5</CmdID><Target><LocURI>./Contacts</LocURI></Target><Source><LocURI>./C\\System\\Data\\Contacts.cdb</LocURI></Source><Meta><MaxObjSize xmlns=\"syncml:metinf\">786432</MaxObjSize></Meta><NumberOfChanges>4</NumberOfChanges><Add><CmdID>6</CmdID><Meta><Type xmlns=\"syncml:metinf\">text/x-vcard</Type></Meta><Item><Source><LocURI>4</LocURI></Source><Data><![CDATA[BEGIN:VCARD\r\nVERSION:2.1\r\nREV:20080616T114328Z\r\nN:testuser;Michael;;;\r\nEND:VCARD\r\n]]></Data></Item></Add><Add><CmdID>7</CmdID><Meta><Type xmlns=\"syncml:metinf\">text/x-vcard</Type></Meta><Item><Source><LocURI>8</LocURI></Source><Data><![CDATA[BEGIN:VCARD\r\nVERSION:2.1\r\nREV:20080619T073500Z\r\nN:Testnach;Testvor;;;\r\nEND:VCARD\r\n]]></Data></Item></Add><Add><CmdID>8</CmdID><Meta><Type xmlns=\"syncml:metinf\">text/x-vcard</Type></Meta><Item><Source><LocURI>11</LocURI></Source><Data><![CDATA[BEGIN:VCARD\r\nVERSION:2.1\r\nREV:20080619T074407Z\r\nN:Doe;Jane;;;\r\nADR:;;Bessemer Str. 85;Berlin;Berlin;10099;Deutschland\r\nORG:Snake Oil Ltd.;\r\nTITLE:Director + Secretary\r\nBDAY:19910110\r\nNOTE:09.06.2008, 13:51 - EXAMPLE - http://www.example.com\r\nFN:Jane Doe\r\nURL:http://www.example.com\r\nEND:VCARD\r\n]]></Data></Item></Add><Add><CmdID>9</CmdID><Meta><Type xmlns=\"syncml:metinf\">text/x-vcard</Type></Meta><Item><Source><LocURI>17</LocURI></Source><Data><![CDATA[BEGIN:VCARD\r\nVERSION:2.1\r\nREV:20080620T111044Z\r\nN;ENCODING=QUOTED-PRINTABLE;CHARSET=UTF-8:Fr=C3=B6belschule;Langenfeld;;;\r\nEND:VCARD\r\n]]></Data></Item></Add></Sync><Final/></SyncBody></SyncML>";

const char *libsyncml_msg_sync = "<?xml version=\"1.0\"?>\n<!DOCTYPE SyncML PUBLIC \"-//SYNCML//DTD SyncML 1.1//EN\" \"http://www.syncml.org/docs/syncml_represent_v11_20020213.dtd\"><SyncML xmlns=\"SYNCML:SYNCML1.1\"><SyncHdr><VerDTD>1.1</VerDTD><VerProto>SyncML/1.1</VerProto><SessionID>210</SessionID><MsgID>3</MsgID><Target><LocURI>IMEI:123456789012345</LocURI></Target><Source><LocURI>PC Suite</LocURI></Source><Meta><MaxMsgSize xmlns=\"syncml:metinf\">10000</MaxMsgSize></Meta></SyncHdr>\n<SyncBody><Status><CmdID>1</CmdID><MsgRef>2</MsgRef><CmdRef>0</CmdRef><Cmd>SyncHdr</Cmd><TargetRef>PC Suite</TargetRef><SourceRef>IMEI:123456789012345</SourceRef><Data>200</Data></Status>\n<Status><CmdID>6</CmdID><MsgRef>2</MsgRef><CmdRef>4</CmdRef><Cmd>Results</Cmd><SourceRef>./devinf11</SourceRef><Data>200</Data></Status>\n<Status><CmdID>7</CmdID><MsgRef>2</MsgRef><CmdRef>5</CmdRef><Cmd>Sync</Cmd><TargetRef>./Contacts</TargetRef><SourceRef>./C\\System\\Data\\Contacts.cdb</SourceRef><Data>200</Data></Status>\n<Status><CmdID>8</CmdID><MsgRef>2</MsgRef><CmdRef>6</CmdRef><Cmd>Add</Cmd><SourceRef>4</SourceRef><Data>201</Data></Status>\n<Status><CmdID>9</CmdID><MsgRef>2</MsgRef><CmdRef>7</CmdRef><Cmd>Add</Cmd><SourceRef>8</SourceRef><Data>201</Data></Status>\n<Status><CmdID>10</CmdID><MsgRef>2</MsgRef><CmdRef>8</CmdRef><Cmd>Add</Cmd><SourceRef>11</SourceRef><Data>201</Data></Status>\n<Status><CmdID>11</CmdID><MsgRef>2</MsgRef><CmdRef>9</CmdRef><Cmd>Add</Cmd><SourceRef>17</SourceRef><Data>201</Data></Status>\n<Sync><CmdID>12</CmdID><Target><LocURI>./C\\System\\Data\\Contacts.cdb</LocURI></Target><Source><LocURI>./Contacts</LocURI></Source><Meta><MaxObjSize xmlns=\"syncml:metinf\">786432</MaxObjSize></Meta><NumberOfChanges>0</NumberOfChanges>\n</Sync><Final></Final></SyncBody></SyncML>";

const char *mobile_msg_map = "<?xml version=\"1.0\"?><!DOCTYPE SyncML PUBLIC \"-//SYNCML//DTD SyncML 1.1//EN\" \"http://www.syncml.org/docs/syncml_represent_v11_20020213.dtd\"><SyncML xmlns=\"SYNCML:SYNCML1.1\"><SyncHdr><VerDTD>1.1</VerDTD><VerProto>SyncML/1.1</VerProto><SessionID>210</SessionID><MsgID>3</MsgID><Target><LocURI>PC Suite</LocURI></Target><Source><LocURI>IMEI:123456789012345</LocURI></Source><Meta><MaxMsgSize xmlns=\"syncml:metinf\">10000</MaxMsgSize></Meta></SyncHdr><SyncBody><Status><CmdID>1</CmdID><MsgRef>3</MsgRef><CmdRef>0</CmdRef><Cmd>SyncHdr</Cmd><TargetRef>IMEI:123456789012345</TargetRef><SourceRef>PC Suite</SourceRef><Data>200</Data></Status><Status><CmdID>2</CmdID><MsgRef>3</MsgRef><CmdRef>12</CmdRef><Cmd>Sync</Cmd><TargetRef>./C\\System\\Data\\Contacts.cdb</TargetRef><SourceRef>./Contacts</SourceRef><Data>200</Data></Status><Final/></SyncBody></SyncML>";

const char *libsyncml_msg_end = "<?xml version=\"1.0\"?>\n<!DOCTYPE SyncML PUBLIC \"-//SYNCML//DTD SyncML 1.1//EN\" \"http://www.syncml.org/docs/syncml_represent_v11_20020213.dtd\"><SyncML xmlns=\"SYNCML:SYNCML1.1\"><SyncHdr><VerDTD>1.1</VerDTD><VerProto>SyncML/1.1</VerProto><SessionID>210</SessionID><MsgID>4</MsgID><Target><LocURI>IMEI:123456789012345</LocURI></Target><Source><LocURI>PC Suite</LocURI></Source><Meta><MaxMsgSize xmlns=\"syncml:metinf\">10000</MaxMsgSize></Meta></SyncHdr>\n<SyncBody><Status><CmdID>1</CmdID><MsgRef>3</MsgRef><CmdRef>0</CmdRef><Cmd>SyncHdr</Cmd><TargetRef>PC Suite</TargetRef><SourceRef>IMEI:123456789012345</SourceRef><Data>200</Data></Status>\n<Final></Final></SyncBody></SyncML>";

